<%--
  The contents of this file are subject to the terms
  of the Common Development and Distribution License
  (the License).  You may not use this file except in
  compliance with the License.
 
  You can obtain a copy of the license at
  http://www.sun.com/cddl/cddl.html or
  at portlet-repository/CDDLv1.0.txt.
  See the License for the specific language governing
  permissions and limitations under the License.
 
  When distributing Covered Code, include this CDDL
  Header Notice in each file and include the License file
  at portlet-repository/CDDLv1.0.txt.
  If applicable, add the following below the CDDL Header,
  with the fields enclosed by brackets [] replaced by
  you own identifying information:
  "Portions Copyrighted [year] [name of copyright owner]"
 
  Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 --%>

<script language="JavaScript">
    function switchCategory() {
        newSelection = document.NOTEPAD.categoryList.selectedIndex;
        jumptoURL = document.NOTEPAD.categoryList.options[newSelection].value;
        document.location.href = jumptoURL;
    }
</script>

<b><fmt:message key="category"/>:&nbsp;</b>
<select name=categoryList size=1 onchange="switchCategory();">
<% for( int i = 0; i < categories.length; i++ ) { %>
<%
  String cat = categories[i];
  PortletURL changeCatURL = rRes.createRenderURL();
  changeCatURL.setParameter( NotepadPortlet.PAGE_NO, "0" );
  changeCatURL.setParameter( NotepadPortlet.CATEGORY, cat );
%>
  <% if( cat.equals(category) ) { %>
     <option value="<%= changeCatURL %>" selected=true><%= cat %>
  <% } else { %>
     <option value="<%= changeCatURL %>"><%= cat %>
  <% } %>
<% } %>
</select>

<table>
<% for( int i = mgr.getStartIndex(); i < mgr.getEndIndex(); i++ ) { %>

  <tr>
    <td><%= Integer.toString(i+1) %></td>
    <td><input type=checkbox name=<%=NotepadPortlet.LOCATION%> value=<%= i %>></td>

<% PortletURL url = rRes.createRenderURL();
    //Following is commented to fix 6323009
    //url.setWindowState( WindowState.MAXIMIZED );
   url.setParameter( NotepadPortlet.CATEGORY, URLEncoder.encode(category) );
   url.setParameter( NotepadPortlet.PAGE_NO, Integer.toString(pageNo) );
   url.setParameter( NotepadPortlet.NOTE_INDEX, Integer.toString(i) );
   url.setParameter( NotepadPortlet.MODE, "Edit" );
%>

    <td width=25% align=left><a href=<%=url.toString()%>><%= mgr.getTitle( i ) %></a></td>
    <td><%= mgr.getNote( i ) %></td>
  </tr>
<% } %>

  <tr>
    <td colspan=4 nowrap>
      <INPUT TYPE="SUBMIT" NAME="<%=NotepadPortlet.ADD_NOTE%>" VALUE=<fmt:message key="addANewNote"/>>
      <% if( mgr.getNoteCount() > 0 ) { %>
      <INPUT TYPE="SUBMIT" NAME="<%=NotepadPortlet.DELETE_NOTE%>" VALUE=<fmt:message key="deleteSelectedNote"/>>
      <% } %>
    </td>
  </tr>

<%
PortletURL addNewURL = rRes.createRenderURL();
addNewURL.setParameter( NotepadPortlet.MODE, "Add" ); 
addNewURL.setParameter( NotepadPortlet.CATEGORY, category ); 
//Following is commented to fix 6323009
//addNewURL.setWindowState( WindowState.MAXIMIZED );
%>

  <tr>
    <td colspan=4 align=right>
<% if( mgr.hasPreviousPage() ) { %>
<%
PortletURL previousPageUrl = rRes.createRenderURL();
previousPageUrl.setParameter( NotepadPortlet.CATEGORY, URLEncoder.encode(category) );
previousPageUrl.setParameter( NotepadPortlet.PAGE_NO, Integer.toString(pageNo-1) );
%>
<a href=<%=previousPageUrl.toString()%>>&lt;previous</a>
<% } %>

<% if( mgr.hasNextPage() ) { %>
<%
PortletURL nextPageUrl = rRes.createRenderURL();
nextPageUrl.setParameter( NotepadPortlet.CATEGORY, URLEncoder.encode(category) );
nextPageUrl.setParameter( NotepadPortlet.PAGE_NO, Integer.toString(pageNo+1) );
%>
&nbsp;&nbsp;
<a href=<%=nextPageUrl.toString()%>>next&gt;</a>
<% } %>
    </td>
  </tr>
</table>

