<%--
  The contents of this file are subject to the terms
  of the Common Development and Distribution License
  (the License).  You may not use this file except in
  compliance with the License.
 
  You can obtain a copy of the license at
  http://www.sun.com/cddl/cddl.html or
  at portlet-repository/CDDLv1.0.txt.
  See the License for the specific language governing
  permissions and limitations under the License.
 
  When distributing Covered Code, include this CDDL
  Header Notice in each file and include the License file
  at portlet-repository/CDDLv1.0.txt.
  If applicable, add the following below the CDDL Header,
  with the fields enclosed by brackets [] replaced by
  you own identifying information:
  "Portions Copyrighted [year] [name of copyright owner]"
 
  Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 --%>

<% if( mode.equals("Add") ) { %>
  <fmt:message key="addNewNoteToCategory"/>: 
<% } else { %>
  <fmt:message key="modifyNoteFromCategory"/>:
<% } %>
&nbsp;&nbsp;&nbsp;<b><%= category %></b>

<%
String title = "";
String body ="";
String location = pReq.getParameter( NotepadPortlet.NOTE_INDEX );

if( mode.equals( "Edit" )) { 
  int loc = 0;
  try {
    loc = Integer.parseInt( location );
  } catch (Exception e ) {
  }
  title = mgr.getTitle( loc );
  body = mgr.getNote( loc );
}
%>

<table>
  <tr>
    <td><LABEL FOR="title"><fmt:message key="title"/>:</LABEL></td>
    <td><input type=text name=<%=NotepadPortlet.TITLE%> size=30 ID="title" value=<%=title%>></td>
  </tr>
  <tr>
    <td><LABEL FOR="body"><fmt:message key="body"/>:</LABEL></td>
    <td><textarea name=<%=NotepadPortlet.BODY%> cols=30 rows=3 ID="body"><%=body%></textarea></td>
  <tr>
  <tr>
    <td colspan=2>
<% if( mode.equals("Add") ) { %>
<INPUT TYPE="SUBMIT" NAME="<%=NotepadPortlet.ADD%>" VALUE=<fmt:message key="add"/>>
<% } else { %>
<input type=hidden name=<%= NotepadPortlet.NOTE_INDEX %>  value="<%=location%>">
<INPUT TYPE="SUBMIT" NAME="<%=NotepadPortlet.SAVE%>" VALUE=<fmt:message key="save"/>>
<% } %>
<INPUT TYPE="SUBMIT" NAME="<%=NotepadPortlet.CANCEL_NOTE%>" VALUE=<fmt:message key="cancel"/>>
    </td>
  </tr>
</table>
