<%--
  The contents of this file are subject to the terms
  of the Common Development and Distribution License
  (the License).  You may not use this file except in
  compliance with the License.
 
  You can obtain a copy of the license at
  http://www.sun.com/cddl/cddl.html or
  at portlet-repository/CDDLv1.0.txt.
  See the License for the specific language governing
  permissions and limitations under the License.
 
  When distributing Covered Code, include this CDDL
  Header Notice in each file and include the License file
  at portlet-repository/CDDLv1.0.txt.
  If applicable, add the following below the CDDL Header,
  with the fields enclosed by brackets [] replaced by
  you own identifying information:
  "Portions Copyrighted [year] [name of copyright owner]"
 
  Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 --%>

<%@ page session="false" %>

<%@ page import="javax.portlet.RenderRequest" %>
<%@ page import="javax.portlet.PortletPreferences" %>
<%@ page import="javax.portlet.RenderResponse" %>
<%@ page import="javax.portlet.PortletURL" %>
<%@ page import="javax.portlet.PortletMode" %>
<%@ page import="javax.portlet.WindowState" %>

<%@ page import="java.util.Enumeration" %>
<%@ page import="java.net.URLEncoder" %>

<%@ page import="com.sun.portal.notepadportlet.NotepadManager" %>
<%@ page import="com.sun.portal.notepadportlet.NotepadPortlet" %>

<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>

<%
RenderRequest pReq = (RenderRequest)request.getAttribute("javax.portlet.request");
RenderResponse rRes = (RenderResponse)request.getAttribute("javax.portlet.response");
PortletPreferences pref = pReq.getPreferences();
String mode = pReq.getParameter( NotepadPortlet.MODE );
String category = pReq.getParameter( NotepadPortlet.CATEGORY );
String strPage = pReq.getParameter( NotepadPortlet.PAGE_NO );
int pageNo = 0;
if( strPage!=null && strPage.length()>0 ) {
  try {
    pageNo = Integer.parseInt( strPage );
  } catch( Exception e ) {
  }
}
NotepadManager mgr = new NotepadManager( pref, category, pageNo );
pageNo = mgr.getPage();
category = mgr.getCategory();
String[] categories = mgr.getAllCategories();

PortletURL actionURL = rRes.createActionURL();
%>
<fmt:setBundle basename="NotepadPortlet" />

<%@ include file="error.jsp" %>

<% if( categories != null && categories.length>0 ) { %>

    <FORM NAME=NOTEPAD METHOD="POST" ACTION="<%=actionURL.toString()%>">

        <% if( mode !=null && (mode.equals( "Add" ) || mode.equals( "Edit" )) ) { %>
            <%@ include file="editNote.jsp" %>
        <% } else { %>
            <%@ include file="viewNotes.jsp" %>
        <% } %>

        <input type=hidden name=<%=NotepadPortlet.CATEGORY%> value="<%=category%>">
        <input type=hidden name=<%=NotepadPortlet.PAGE_NO%> value="<%=pageNo%>">
    </FORM>

<% } else { %>
<fmt:message key="emptyNotepadWarning"/>
<fmt:message key="addNewNote"/>
<% } %>
